package com.qmth.sop.common.enums;

/**
 * @Description: 自定义流程类型enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/1/24
 */
public enum TFCustomTypeEnum {

    OFFICE_SOP_FLOW("教务处SOP", "officeSopFlow", "officeSopFlow.zip", "SOP_O", "t_b_sop_dynamic_office"),

    CLOUD_MARK_SOP_FLOW("研究生SOP", "cloudMarkSopFlow", "cloudMarkSopFlow.zip", "SOP_C", "t_b_sop_dynamic_cloud_mark"),

    DING_EXCEPTION_FLOW("考勤异常审核流程", "dingExceptionFlow", "dingExceptionFlow.zip", "DE", null),

    PROJECT_EXCHANGE_FLOW("项目计划变更流程", "projectExchangeFlow", "projectExchangeFlow.zip", "PE", null),

    QUALITY_PROBLEM_FLOW("质量问题反馈流程", "qualityProblemFlow", "qualityProblemFlow.zip", "QF", null),

    SOP_FLOW("SOP流程", null, null, null, null);

    private String title;

    private String code;

    private String fileName;

    private String mark;

    private String tableName;

    private TFCustomTypeEnum(String title, String code, String fileName, String mark, String tableName) {
        this.title = title;
        this.code = code;
        this.fileName = fileName;
        this.mark = mark;
        this.tableName = tableName;
    }

    public String getTableName() {
        return tableName;
    }

    public String getTitle() {
        return title;
    }

    public String getCode() {
        return code;
    }

    public String getFileName() {
        return fileName;
    }

    public String getMark() {
        return mark;
    }
}
